<?php

namespace idoit\Component\Download;

use idoit\Component\Upload\UploadType;

/**
 * Class DownloadType
 *
 * @package idoit\Component\Download
 */
class DownloadType
{
    /**
     * @var callable
     */
    private $callback;

    public function __construct(callable $callback)
    {
        $this->callback = $callback;
    }

    /**
     * @return ?callable
     */
    public function getCallback(): callable
    {
        return $this->callback;
    }
}
